Clients

GET /clients

Get all Clients
HTTP Response: 200

<xml>
    <item>
        <id>297</id>
        <userid>24</userid>
        <name>Another Client</name>
        <date>2010-01-20 04:17:37</date>
        <email>me@test.com</email>
        <company>A Company</company>
        <address/>
        <address/>
        <city/>
        <zip/>
        <country/>
        <description/>
        <slug>another-client</slug>
    </item>
    ...
</xml>

GET /client/id/{client_id}

Get a Client
HTTP Response: 200

<xml>
    <id>297</id>
    <userid>24</userid>
    <name>Another Client</name>
    <date>2010-01-20 04:17:37</date>
    <email>me@test.com</email>
    <company>A Company</company>
    <address/>
    <address/>
    <city/>
    <zip/>
    <country/>
    <description/>
    <slug>another-client</slug>
</xml>

POST /create_client

Create a Client
HTTP Response: 200

<xml>
    <userid>24</userid>
    <name>A Test Client</name>
    <date>2010-09-13 14:48:43</date>
    <slug>a-test-client</slug>
    <email>test@test.com</email>
    <company/>
    <address/>
    <address/>
    <city/>
    <zip/>
    <country>United Kingdom</country>
    <description/>
    <id>4460</id>
</xml>

POST values:

  • name – (required) A unique name for the new client.
  • email – (optional) The clients email address.
  • company – (optional) The clients company.
  • address1 – (optional)
  • address2 – (optional)
  • city – (optional)
  • zip – (optional)
  • country – (optional) Full name of country.
  • description – (optional) A client description.

POST /edit_client

Edit a Client
HTTP Response: 200

<xml>
    <name>A Test Client</name>
    <slug>a-test-client</slug>
    <email>test@test.com</email>
    <company/>
    <address/>
    <address/>
    <city/>
    <zip/>
    <country>United Kingdom</country>
    <description> </description>
    <id>4460</id>
</xml>

POST values:

  • id – (required) The client ID.
  • name – (optional) A unique name for the client.
  • email – (optional) The clients email address.
  • company – (optional) The clients company.
  • address1 – (optional)
  • address2 – (optional)
  • city – (optional)
  • zip – (optional)
  • country – (optional) Full name of country.
  • description – (optional) A client description.

POST /delete_client

Delete a Client
HTTP Response: 200

<xml>
    <status>success</status>
</xml>

POST values:

  • id – (required) The client ID.